API referenceMasterAgreementAssetConnection
POST /api/MasterAgreementAssetConnection/AddOrUpdate
This endpoint will create a new Master Agreement Asset Connection if the ID is null or zero, or update an existing one if a valid ID is provided. For creation, do not include an ID or set the ID to zero in the request body. For updating, include the existing Master Agreement Asset Connection ID and the updated data in the request body.
POST
/api/MasterAgreementAssetConnection/AddOrUpdatecurl -X POST "/api/MasterAgreementAssetConnection/AddOrUpdate" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"masterAgreementAssetConnections": [
{
"id": 0,
"masterAgreementId": 0,
"assetId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1
}
]
}
],
"updateFromConnection": true
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementAssetConnectionsWithFlagDto
Response
application/json
Updated or created Master Agreement Asset Connections.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementAssetConnectionDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"masterAgreementId": 0,
"assetId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1,
"validFrom": "2026-01-15T09:30:00Z",
"value": "string"
}
]
}
]
}